Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

commando make

None
11 antwoorden
  • Ik ben een newbie en probeer nu van m'n oude pc een webserver te maken, alle programma's zoals apache, php5 en mysql gedownload en tijdens het installeren moet ik (volgens een howto van linuxdos) het commando make geven maar ik krijg dan telkens de foutmelding dat het commando niet bestaat?

    Ik draai suse 9.1 linux en heb de programma's als root proberen te installeren (in kde-terminalprogramma (in systeembeheerdermodus)

    Wie kan me helpen met dit probleem of anders wat doe ik godshemelsnaam fout

    groeten
  • [quote:b230801c0e="Rare69"]moet ik (volgens een howto van linuxdos) het commando make geven maar ik krijg dan telkens de foutmelding dat het commando niet bestaat? [/quote:b230801c0e] 1. Heb je make wel geïnstalleerd? Controleer dat in Yast > Software installeren en verwijderen, met Filter op Selecties of "C/C++ compiler en tools" is gevinkt. Indien nodig zou je ook nog kunnen controleren of "Kernel ontwikkeling" is gevinkt.
    2. Heb je wel eerst het volgende commando uitgevoerd [code:1:b230801c0e] ./configure [/code:1:b230801c0e][Enter]
  • Het was inderdaad niet geinstalleerd en ben het nu aan het installeren.

    Ik zal dadelijk nog eens proberen en laat het wel even weten of het geholpen heeft.

    Alsvast bedankt en tot de volgende keer maar weer
  • Al die software staat overigens ook op de installatiedisks van SUSE, dus zelf compileren is niet strikt noodzakelijk.

    Max
  • Dat klopt maar die op de dvd van suse 9.1 staan zijn wel een paar updates geleden dus dacht ik de nieuwste versies erop te zetten vandaar

    maar in ieder geval bedankt
  • kan je die dan niet gewoon van op de ftp downloaden? (ftp van suse) bij een of andere update…
  • Het probleem was ook niet het downloaden en uitpakken maar dat ik dus geen make commando geinstaleerd had in m'n linuxpc en ik gewoon net als in windows de prog's wou installeren maar dat is nu ook gelukt gewoon in YaST de kernel ontwikkeling en de programeertalen geinstaleerd en t werkt nu wel.

    groeten
  • [quote:9145761a6b="Rare69"]Dat klopt maar die op de dvd van suse 9.1 staan zijn wel een paar updates geleden dus dacht ik de nieuwste versies erop te zetten vandaar
    [/quote:9145761a6b]
    Ah.

    Heel verstandig, want dan weet je ook zeker dat je geen oude lekken en zo in de serversoftware hebt zitten.
    Nou heeft suse ook een updatservice, dus je hebt kans dat je na het installeren van de betreffende rpm's een seintje krijgt van de SuSe-watcher dat er nieuwere versies beschikbaar zijn..

    Max
  • alleen wil het maar niet lukken met het commando make ik heb nu alles eraf gesmeten en ben nu een nieuwe instalatie aan het maken maar nu meteen met c/c++ compiler en tools en kernel ontwikkeling dus eens kijken of het nu wel lukt.

    Natuurlijk is alle hulp mbt inrichten van een webserver van harte welkom ik ben namelijk nogsteeds een newbie op het gebied van linux.

    groeten
  • Sorry allemaal ik had niet goed gelezen :roll: :-? mysql versie 4.1.11 hoeft helemaal niet meer geinstaleerd te worden met het commando make en make install bij het uitvoeren van ./configure installeerd het zichzelf al
    tja typisch gevalletje van de oogjes open hebben en eens lezen wat er op het scherm komt. Maar door al het gepruts ben ik nu linux weer een keer (de 4e of 5e) aan het instaleren en nu maar eens kijken of het wel lukt.

    Jullie horen nog van me 8) 8)[size=18:ff2f80136b][/size:ff2f80136b][size=24:ff2f80136b][/size:ff2f80136b]
  • Tis me verder niet duidelijk of je yast en rpm van suse kent. Daar kun je eenvoudiger (en beter aansluitend bij suse) je paketten mee installeren.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.